List the Artifacts in a Category

Lists the details of different artifacts available within a specific category.

Required Roles

Service Administrator

REST Resource

POST /interop/rest/v2/migration/categories/artifacts/list

Request

Supported Media Types: application/json

Parameter Description Required Type
categoryName The name of a category (for example, Data management, Core, Groups and Membership, and so on) defined within the application. Yes Payload

Request Payload Example:


{
"categoryName":"Calculation Manager"
}

Response

Name Description
parentName Name of the artifact. An empty string indicates the root category.
displayName The artifact name as displayed on the Migration screen.
name The artifact name that is used within the module or component. This may not be identical to the display name.
id The unique identifier of the artifact.
type The artifact type.
modifiedDate Last modified date in YYYY-MM-DD format. This value is an empty string if the artifact has never been updated.
modifiedBy Username of the person or the system component that last modified the artifact.
path Artifact path in the hierarchy
children List of contained artifacts or folders; enables folder/file nesting recursively

Successful response body example:


"status": 0,
    "items": [
        {
            "parentName": "",
            "displayName": "Planning",
            "name": "Planning",
            "id": "",
            "type": "Folder",
            "modifiedDate": "",
            "modifiedBy": "",
            "path": "/",
            "children": [
                {
                    "parentName": "Planning",
                    "displayName": "Vision",
                    "name": "Vision",
                    "id": "",
                    "type": "Folder",
                    "modifiedDate": "",
                    "modifiedBy": "",
                    "path": "/Planning",
                    "children": [
{
                                    "parentName": "Vis1ASO",
                                    "displayName": "Templates",
                                    "name": "Templates",
                                    "id": "",
                                    "type": "Folder",
                                    "modifiedDate": "",
                                    "modifiedBy": "",
                                    "path": "/Planning/Vision/Vis1ASO",
                                    "children": []
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ],
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/migration/categories/artifacts/list",
            "action": "POST",
            "rel": "self"
        }
    ]
}

Response for failed operation:

 
{
    "status": 8,
    "details": "Invalid Category [Groups and Membership-1]",
    "items": null,
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/migration/categories/artifacts/list",
            "action": "POST",
            "rel": "self"
        }
    ]
}